{% load static %}
{% load poll_extras %}

<div class="container">
    <p class="c-blue pt-3">We are currently accepting data taken since January 1<sup>st</sup> 2019</p>
</div>
<nav class="navbar navbar-expand-lg navbar-dark">
    <div class="container-fluid">
        <a class="navbar-brand" href="{% url 'frontend:home' %}">
            <img class="d-none d-md-block" src="{% static 'images/common/logos/logo.png' %}" alt="logo">
            <img class="d-md-none" src="{% static 'images/common/logos/mobile-logo.png' %}" alt="mobile logo">
        </a>
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#mobileNav"
            aria-controls="mobileNav">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" tabindex="-1" id="mobileNav" aria-labelledby="mobileNavLabel">
            <ul class="navbar-nav ms-auto mb-2 mb-lg-0">
                {% for nav, sub_navs in navigation %}
                {% if not sub_navs %}
                <li class="nav-item">
                    <a class="nav-link {% if page == nav.order %} active {% endif %}" aria-current="page"
                        href="/{{ nav.url|default:'' }}">
                        {{ nav.en_name }}
                    </a>
                </li>
                {% else %}
                <li class="nav-item dropdown">
                    <a id="{{ nav.en_name }}"
                        class="nav-link {% if page == nav.order %} active {% endif %} dropdown-toggle" href="#"
                        role="button" data-bs-toggle="dropdown" aria-expanded="false">
                        {{ nav.en_name }}
                    </a>
                    <ul class="dropdown-menu" aria-labelledby="{{ nav.en_name }}">
                        {% for sub_nav in sub_navs %}
                        <li>
                            <a class="dropdown-item" href="/{{ sub_nav.url }}">
                                {{ sub_nav.en_name }}
                            </a>
                        </li>
                        {% if not forloop.last %}
                        <li>
                            <hr class="dropdown-divider">
                        </li>
                        {% endif %}
                        {% endfor %}
                    </ul>
                </li>
                {% endif %}
                {% endfor %}

                {% if request.user.is_authenticated %}
                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle c-white" href="#" id="profiles" role="button"
                        data-bs-toggle="dropdown" aria-expanded="false">
                        Hi, {{ request.user.username|get_username }}
                    </a>
                    <ul class="dropdown-menu" aria-labelledby="profiles">
                        <li>
                            <a href="{% url 'frontend:contributor_profile' %}" class="dropdown-item">Profile</a>
                        </li>
                        <li>
                            <hr class="dropdown-divider">
                        </li>
                        <li>
                            <a href="{% url 'frontend:contributor_leaderboard' %}" class="dropdown-item">Leaderboard</a>
                        </li>
                        <li>
                            <hr class="dropdown-divider">
                        </li>
                        <li>
                            <a href="{% url 'frontend:contributor_observations' %}"
                                class="dropdown-item">Observations</a>
                        </li>
                        <li>
                            <hr class="dropdown-divider">
                        </li>
                        <li>
                            <a href="{% url 'frontend:forum_topics' %}" class="dropdown-item">Forums</a>
                        </li>
                        <li>
                            <hr class="dropdown-divider">
                        </li>
                        <li>
                            <a class="dropdown-item" href="{% url 'backend:logout' %}">
                                Logout
                            </a>
                        </li>
                    </ul>
                </li>
                {% else %}
                <li class="nav-item">
                    <a href="{% url 'frontend:signup' %}" class="btn btn-outline-light btn-sm mt-1 mt-lg-1 ms-lg-3">
                        Sign Up
                    </a>
                </li>
                <li class="nav-item">
                    <a href="{% url 'frontend:login' %}" class="btn btn-light btn-sm mt-3 mt-lg-1 ms-lg-3">
                        Login
                    </a>
                </li>
                {% endif %}
            </ul>
        </div>
    </div>
</nav>